Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359968 - [abrt] file-roller: g_list_foreach(): file-roller killed by SIGSEGV
Summary: [abrt] file-roller: g_list_foreach(): file-roller killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:303cca8b8e5eeb1e169373ca210...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-26 02:19 UTC by Michael Catanzaro
Modified: 2017-08-08 15:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:53:32 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-26 02:19 UTC, Michael Catanzaro
no flags Details
File: cgroup (deleted)
2016-07-26 02:19 UTC, Michael Catanzaro
no flags Details
File: core_backtrace (deleted)
2016-07-26 02:19 UTC, Michael Catanzaro
no flags Details
File: dso_list (deleted)
2016-07-26 02:19 UTC, Michael Catanzaro
no flags Details
File: environ (deleted)
2016-07-26 02:19 UTC, Michael Catanzaro
no flags Details
File: exploitable (deleted)
2016-07-26 02:19 UTC, Michael Catanzaro
no flags Details
File: limits (deleted)
2016-07-26 02:19 UTC, Michael Catanzaro
no flags Details
File: maps (deleted)
2016-07-26 02:19 UTC, Michael Catanzaro
no flags Details
File: mountinfo (deleted)
2016-07-26 02:19 UTC, Michael Catanzaro
no flags Details
File: namespaces (deleted)
2016-07-26 02:19 UTC, Michael Catanzaro
no flags Details
File: open_fds (deleted)
2016-07-26 02:19 UTC, Michael Catanzaro
no flags Details
File: proc_pid_status (deleted)
2016-07-26 02:19 UTC, Michael Catanzaro
no flags Details
File: var_log_messages (deleted)
2016-07-26 02:19 UTC, Michael Catanzaro
no flags Details

Description Michael Catanzaro 2016-07-26 02:19:36 UTC
Version-Release number of selected component:
file-roller-3.20.2-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        file-roller /home/mcatanzaro/Downloads/chromium-browser_51.0.2704.79.orig.tar.xz
crash_function: g_list_foreach
executable:     /usr/bin/file-roller
global_pid:     7903
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_list_foreach at glist.c:1004
 #1 _g_string_list_free at glib-utils.c:447
 #2 _fr_window_ask_overwrite_dialog at fr-window.c:6750
 #3 query_info_ready_for_overwrite_dialog_cb at fr-window.c:6662
 #4 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #5 query_info_async_cb at gdaemonfile.c:962
 #6 g_task_return_now at gtask.c:1107
 #7 g_task_return at gtask.c:1165
 #8 reply_cb at gdbusproxy.c:2570
 #9 g_task_return_now at gtask.c:1107

Potential duplicate: bug 911665

Comment 1 Michael Catanzaro 2016-07-26 02:19:39 UTC
Created attachment 1184014 [details]
File: backtrace

Comment 2 Michael Catanzaro 2016-07-26 02:19:40 UTC
Created attachment 1184015 [details]
File: cgroup

Comment 3 Michael Catanzaro 2016-07-26 02:19:41 UTC
Created attachment 1184016 [details]
File: core_backtrace

Comment 4 Michael Catanzaro 2016-07-26 02:19:42 UTC
Created attachment 1184017 [details]
File: dso_list

Comment 5 Michael Catanzaro 2016-07-26 02:19:43 UTC
Created attachment 1184018 [details]
File: environ

Comment 6 Michael Catanzaro 2016-07-26 02:19:44 UTC
Created attachment 1184019 [details]
File: exploitable

Comment 7 Michael Catanzaro 2016-07-26 02:19:45 UTC
Created attachment 1184020 [details]
File: limits

Comment 8 Michael Catanzaro 2016-07-26 02:19:46 UTC
Created attachment 1184021 [details]
File: maps

Comment 9 Michael Catanzaro 2016-07-26 02:19:47 UTC
Created attachment 1184022 [details]
File: mountinfo

Comment 10 Michael Catanzaro 2016-07-26 02:19:48 UTC
Created attachment 1184023 [details]
File: namespaces

Comment 11 Michael Catanzaro 2016-07-26 02:19:49 UTC
Created attachment 1184024 [details]
File: open_fds

Comment 12 Michael Catanzaro 2016-07-26 02:19:50 UTC
Created attachment 1184025 [details]
File: proc_pid_status

Comment 13 Michael Catanzaro 2016-07-26 02:19:51 UTC
Created attachment 1184026 [details]
File: var_log_messages

Comment 14 Michael Catanzaro 2016-07-26 03:27:50 UTC
Ah, I can reproduce it 100% using that chromium-browser_51.0.2704.79.orig.tar.xz tarball, but it probably would happen with any big tarball. There is a window of time after clicking Extract before the modal dialog pops up. You can click Extract a second time before the dialog appears, and it will crash.

Comment 15 Fedora End Of Life 2017-07-25 22:03:42 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-08-08 15:53:32 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.